Package ru.bitel.oss.kernel.entity.common.bean

# Class EntityAttrEmail

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntityAttr
ru.bitel.oss.kernel.entity.common.bean.EntityAttrEmail

    public class EntityAttrEmail
    extends EntityAttr

Атрибут/параметр типа email. Чтобы получить контакты используйте методы `getContactList()`, `getSimpleContactList()`, `getAddressList()`. Чтобы изменить - `setContactList(List)` или `addContact(String, String)`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `EntityAttrEmail.EmailContact` | Контакт для EntityAttrEmail.

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `EntityAttrEmail()` |
  `` | `EntityAttrEmail​(int entityId, int entitySpecAttrId)` |
  `` | `EntityAttrEmail​(int entityId, int entitySpecAttrId, java.lang.String name, java.lang.String address)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `EntityAttrEmail` | `addContact​(java.lang.String name, java.lang.String address)` | Добавление контакта в список
  `static void` | `check​(EntityAttrEmail a)` |
  `java.util.List<java.lang.String>` | `getAddressList()` | Получение списка email без имени контакта и без < и >.
  `java.util.List<EntityAttrEmail.EmailContact>` | `getContactList()` | Получение списка контактов (email и имя).
  `java.lang.String` | `getData()` |
  `java.util.List<java.lang.String>` | `getSimpleContactList()` | Получение списка строк вида "Иванов Петр Сидорович <ivanov@gmail.com>"
  `java.lang.String` | `getValue()` | Deprecated. use `getContactList()` or `getAddressList()` or `getSimpleContactList()` or `getData()`
  `static EntityAttrEmail` | `parse​(int entityId, int entitySpecAttrId, java.lang.String value)` |
  `EntityAttrEmail` | `setContactList​(java.util.List<EntityAttrEmail.EmailContact> list)` | Установка списка контактов.
  `void` | `setData​(java.lang.String data)` | Для внутреннего использования.
  `void` | `setValue​(java.lang.String value)` | Deprecated. use `setContactList(List)` or `addContact(String, String)` or `setData(String)`
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntityAttr

  `getEntityId, getEntitySpecAttrId, getType, getTypeName, newInstance, setEntityId, setEntitySpecAttrId, setType, setTypeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttrEmail

    protected EntityAttrEmail()

  - ### EntityAttrEmail

    public EntityAttrEmail​(int entityId, int entitySpecAttrId)

  - ### EntityAttrEmail

    public EntityAttrEmail​(int entityId, int entitySpecAttrId, java.lang.String name, java.lang.String address)

- ## Method Details

  - ### addContact

    public EntityAttrEmail addContact​(java.lang.String name, java.lang.String address)
    Добавление контакта в список
    Parameters:
      `name` - имя контакта.
      `address` - email-адрес.
    Returns:

  - ### getData

    public java.lang.String getData()

  - ### setData

    public void setData​(java.lang.String data)
    Для внутреннего использования. Для обычной работы используйте `setContactList(List)` or `addContact(String, String)`
    Parameters:
      `data` -

  - ### getValue

    @Deprecated public java.lang.String getValue()
    Deprecated.
    use `getContactList()` or `getAddressList()` or `getSimpleContactList()` or `getData()`
    Returns:

  - ### setValue

    @Deprecated public void setValue​(java.lang.String value)
    Deprecated.
    use `setContactList(List)` or `addContact(String, String)` or `setData(String)`
    Parameters:
      `value` -

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### check

    public static void check​(EntityAttrEmail a) throws ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getContactList

    public java.util.List<EntityAttrEmail.EmailContact> getContactList()
    Получение списка контактов (email и имя).
    Returns:

  - ### setContactList

    public EntityAttrEmail setContactList​(java.util.List<EntityAttrEmail.EmailContact> list)
    Установка списка контактов.
    Parameters:
      `list` -
    Returns:
      this

  - ### getSimpleContactList

    public java.util.List<java.lang.String> getSimpleContactList()
    Получение списка строк вида "Иванов Петр Сидорович <ivanov@gmail.com>"
    Returns:

  - ### getAddressList

    public java.util.List<java.lang.String> getAddressList()
    Получение списка email без имени контакта и без < и >.
    Returns:

  - ### parse

    public static EntityAttrEmail parse​(int entityId, int entitySpecAttrId, java.lang.String value)